Last Comment Bug 556547 - Port |Bug 555839 - Turn on OpenGL LayerManager for fullscreen video widget| to SeaMonkey
: Port |Bug 555839 - Turn on OpenGL LayerManager for fullscreen video widget| t...
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b2
Assigned To: Jens Hatlak (:InvisibleSmiley)
:
:
Mentors:
Depends on: 556540 555839
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-01 09:57 PDT by Jens Hatlak (:InvisibleSmiley)
Modified: 2010-11-03 15:42 PDT (History)
3 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Turn on acceleration for fullscreen video [Checkin: comment 4] (924 bytes, patch)
2010-04-01 09:57 PDT, Jens Hatlak (:InvisibleSmiley)
neil: review+
Details | Diff | Splinter Review

Description Jens Hatlak (:InvisibleSmiley) 2010-04-01 09:57:16 PDT
Created attachment 436498 [details] [diff] [review]
Turn on acceleration for fullscreen video [Checkin: comment 4]

We have our own copy of fullscreen-video.xhtml, so this bug is to not forget to sync it with the browser (FF) version.

I don't know if the back-end is already available for SM or if it would work on my WinXP but given bug 555839 comment 11 it's too early to try anyway. That's also why I'm not requesting review or assign it to me yet.
Comment 1 Krang 2010-10-24 19:55:24 PDT
Although bug 556540 is still open, there haven't been any comments there for 6 months, and many improvements have been made to hardware acceleration since then.  Could this be looked at for inclusion in 2.1 so that we are on par with Firefox in this area?
Comment 2 Jens Hatlak (:InvisibleSmiley) 2010-11-03 07:26:05 PDT
Comment on attachment 436498 [details] [diff] [review]
Turn on acceleration for fullscreen video [Checkin: comment 4]

Unfortunately I don't know how to test this. My CPU usage never goes above 4% even with the below test case full screen (= 1680x1050 for me), and that is without the patch applied! I have Win7 (Aero active) and a recent DX11 graphics card. Thus, unless one of the guys over at bug 555839 knows better, my only argument is consistency.

http://videos.mozilla.org/serv/marketing/sfx_edutoolkit/asa_historymozilla.ogv
Comment 3 neil@parkwaycc.co.uk 2010-11-03 14:10:24 PDT
Comment on attachment 436498 [details] [diff] [review]
Turn on acceleration for fullscreen video [Checkin: comment 4]

I don't even have hardware on which I can conceive of testing this :-(
Comment 4 Jens Hatlak (:InvisibleSmiley) 2010-11-03 14:39:16 PDT
Comment on attachment 436498 [details] [diff] [review]
Turn on acceleration for fullscreen video [Checkin: comment 4]

http://hg.mozilla.org/comm-central/rev/5773513ab09b

Note You need to log in before you can comment on or make changes to this bug.